package type;
final public class DateListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.Date[] value;

	public DateListHolder ()
	{
	}
	public DateListHolder (type.Date[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DateListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = DateListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		DateListHelper.write(out,value);
	}
}
